<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxIntAnaSignalsMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxIntAnaSignalsMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Internal signals in the TX path monitoring configuration.  
 <a href="structrl_tx_int_ana_signals_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a45048212272b74eedcac54b3d09d786c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45048212272b74eedcac54b3d09d786c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_int_ana_signals_mon_conf__t.html#a45048212272b74eedcac54b3d09d786c">profileIndx</a></td></tr>
<tr class="memdesc:a45048212272b74eedcac54b3d09d786c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The RF analog settings corresponding to this profile are used for monitoring the <br />
 enabled signals, using test chirps (static frequency, at the center of the <br />
 profile's RF frequency band). <br />
. <br /></td></tr>
<tr class="separator:a45048212272b74eedcac54b3d09d786c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10bf8eb107da671883403ec604f53121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10bf8eb107da671883403ec604f53121"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_int_ana_signals_mon_conf__t.html#a10bf8eb107da671883403ec604f53121">reportMode</a></td></tr>
<tr class="memdesc:a10bf8eb107da671883403ec604f53121"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure(after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold check. <br />
. <br /></td></tr>
<tr class="separator:a10bf8eb107da671883403ec604f53121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afde58864283e7804f4b48f85811cb706"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afde58864283e7804f4b48f85811cb706"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_int_ana_signals_mon_conf__t.html#afde58864283e7804f4b48f85811cb706">reserved0</a></td></tr>
<tr class="memdesc:afde58864283e7804f4b48f85811cb706"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:afde58864283e7804f4b48f85811cb706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97885e1adb2003a8c7d22f4a179d2054"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97885e1adb2003a8c7d22f4a179d2054"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_int_ana_signals_mon_conf__t.html#a97885e1adb2003a8c7d22f4a179d2054">reserved1</a></td></tr>
<tr class="memdesc:a97885e1adb2003a8c7d22f4a179d2054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a97885e1adb2003a8c7d22f4a179d2054"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Internal signals in the TX path monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
